Subject: bug#77306: 31.0.50; C-x v L from *vc-change-log* buffer leaves wrong default-directory

From: Robert Pluim <[email-masked]>
Date: Thu, 03 Apr 2025 14:58:24 +0200

>>>>> On Thu, 3 Apr 2025 15:14:28 +0300, Dmitry Gutov <[email-masked]> said:

    Dmitry> On 27/03/2025 13:13, Sean Whitton wrote:
    >> This problem is caused by the let binding of default-directory
    >> established by vc-print-root-log.  vc-setup-buffer wants to set
    >> default-directory in the*vc-change-log* buffer to the new repository's
    >> root, but ends up just adjusting the let binding's value.
    >> The same thing probably occurs with C-x v D.
    >> Could we reformulate the command definitions so that they didn't
    >> need to
    >> bind default-directory?  Should vc-setup-buffer use the same
    >> run-with-timer trick implemented in xref--ensure-default-directory?

    Dmitry> Yeah, I don't have a better suggestion.

Doe `setq-local' not adjust the buffer-local value? What am I missing?

Robert
--